<?php

namespace App\Entities\Equipment;

use App\Models\Equipment\LineModel;

class LineEntity extends EquipmentEntity
{
    const PK = LineModel::PK;

    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
        $this->nullableFields = [
            ...$this->nullableFields,
            'start_at',
            'end_at',
        ];
        $this->dates = [
            ...$this->dates,
            'start_at',
            'end_at',
        ];
    }
    const TITLE = LineModel::TITLE;
    public function getType(): string
    {
        return $this->type;
    }
    public function getProtocol(): string
    {
        return $this->protocol;
    }
    public function getBandwith(): string
    {
        return $this->bandwith;
    }
    public function getStartAt(): ?string
    {
        return $this->start_at;
    }
    public function getEndAt(): ?string
    {
        return $this->end_at;
    }
}
